トップ «前の日記(2007-08-14) 最新 次の日記(2007-08-16)» 編集

2007-08-15 [長年日記]

_ OSX 10.3(Panther) で Rails 1.2.x

結論から言うと、10.3 Panther + PPC という、開発者的にマイナーな環境ではパッケージマネージャ任せで我慢しろってこった。

  • Locomotive は動いてるフリして実は 10.4+ 用だった
  • Fink に入った Rails は 1.1.6 だった(アップデートを掛けたら 1.2.1 になった)
  • 1.2 で入った REST 風の機能が使いたいよぉ
  • gem で rails を最新にしたら動かないぞ
  • fink の gem が古いらしい
  • gem のアップデートってどうやってやんだ?
  • 面倒くせぇ、とりあえず一回全部 RubyGems を抜いてみよう
  • setup.rb で gems をインストール
  • gem から rails をインストール
rails rest

できたできた。

※ Ruby はあらかじめ Fink で 1.8.4 が入れてあります。

あれー。sqlite driver が gem からインストールできないぞ。やっぱ無理があるのかなぁ。DB 動かないんじゃ generate できても意味ないもんな。

ということで、素直にパッケージマネージャ(Fink なり MacPorts なり)の対応しているバージョンで我慢しましょう。

_ ついに出た O'Reilly の JavaScript 第5版

なんと。買うか。ノーマークだった。これはJavaScript を分かってるつもりの自分のような輩こそ用意しておくべきものだろう。

でもオライリーの、バイブルを担うべきこの手のやつで4,400円て安くないか?と思ったら原著からは 200ページ減らしい。それでも700ページか…。まぁでも分冊とかやられると扱いにくくてしょうがないしねぇ。イロイロな判断で削った分があるんだろな。

とりあえずこれで「変な本見つけ出してこねーでこれ読め」と言える本ができたはずだ。もちろん自分で中身の確認はするけど、素直に嬉しい。JavaScript で使いものになる「まともな本」てほとんどなかったもんなー。

[追記] つか金沢にねーよ。どうなってんだ。ほんと田舎はこういうとき困るわ。